Subject: Re: Is it time to drop ChangeLogs? (Was: bug#21998: Run 'make change-history' on release branch)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Mar 2016 18:26:49 +0200

> From: Paul Eggert <[email-masked]>
> Date: Sun, 6 Mar 2016 14:34:12 -0800
> Cc: [email-masked]
> 
> John Wiegley wrote:
> > What do you all think about ChangeLogs, and their value
> > to you in your work on Emacs?
> 
> I regularly do the equivalent of:
> 
> grep PATTERN $(git ls-files | grep -v ChangeLog)
> 
> That is, in searches I typically ignore ChangeLog* files because of their 
> less-useful chatter.

It is a truism that when you know ChangeLog files don't included the
information you are after, you'd like to exclude them.  Likewise, when
I'm looking for information that can only be found in ChangeLog files,
I will filter out everything else as "less-useful chatter".

> Even if we remove ChangeLogs, we should still have guidelines for commit message 
> format

We won't be able to enforce that rule for long.  It's a slippery
slope.  Very slippery.